Summary:	Python bindings for libnotify
Summary(pl.UTF-8):	Wiązania Pythona do libnotify
Name:		python-pynotify
Version:	0.1.1
Release:	12
License:	LGPL v2.1
Group:		Libraries/Python
Source0:	http://galago-project.org/files/releases/source/notify-python/notify-python-%{version}.tar.gz
# Source0-md5:	8f0ef0939cc8edd2efd896ce5ba80cf4
Patch0:		%{name}-codegen.patch
Patch1:		libnotify07.patch
URL:		http://galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-pygtk-devel >= 2:2.4.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	libnotify >= 0.4.3
Requires:	python-pygtk-gtk >= 2:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for libnotify.

%description -l pl.UTF-8
Wiązania Pythona do libnotify.

%package devel
Summary:	Development files for libnotify Python bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do libnotify
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.4.0

%description devel
Development files for libnotify Python bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do libnotify.

%prep
%setup -q -n notify-python-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} clean
%{__make} \
	PYTHON="%{__python}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/pynotify/*.la
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%dir %{py_sitedir}/gtk-2.0/pynotify
%{py_sitedir}/gtk-2.0/pynotify/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pynotify/_pynotify.so

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/pynotify.defs
%{_pkgconfigdir}/notify-python.pc
%changelog
* Fri Dec 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pynotify.git;a=log;h=master

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 5f087d2
- added missing automake invocation
- rel 12

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 00ba0a4
- release 11 (by relup.sh)

* Thu Apr 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d6e2dc
- rel 10; libinotify 0.7 support

* Thu Apr 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c5f00f
- release 9

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 1880b00
- rel 8

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 1eee7c1
- fix build with libnotify 0.7

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> a2aba4a
- rel 7

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3265dba
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 15d2b48
- release 5

* Sun Mar 15 2009 Patryk Zawadzki <patrys@room-303.com> 06b55c4
- use autotools to regenerate build env
- patch for codegen path
- rel 4
- patch provided by Lukasz Kies <kiesiu at kiesiu com>

* Sun Mar 15 2009 Patryk Zawadzki <patrys@room-303.com> b5ef8ed
- work around PLD packaging policy
- patch provided by Lukasz Kies <kiesiu at kiesiu com>

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ca3d0a
- release 3

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 5e905e7
- files cleanup, separated -devel
- revised docs and deps
- License seems to be LGPL v2.1

* Tue Apr 01 2008 Jacek Konieczny <jajcus@pld-linux.org> 4df8672
- pkgconfig and defs file added

* Tue Sep 11 2007 Elan Ruusamäe <glen@pld-linux.org> c40e784
- rel 2

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 8ce30ba
- more deps, cleanup

* Fri May 25 2007 Marcin Gajda <m.gajda@functional-software.com> 43deabc
- BR: libnotify

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 1997735
- Group fixed

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 52389d8
- pl, BR: rpm-pythonprov

* Sun Mar 25 2007 Patryk Zawadzki <patrys@room-303.com> d5f43de
- initial PLD release

